Check_type

Can the given string be converted into a byte, ...? More...

## Functions

int | libdap::check_byte (const char *val)
| Is the value a valid byte?
int | libdap::check_float32 (const char *val)
int | libdap::check_float64 (const char *val)
int | libdap::check_int16 (const char *val)
int | libdap::check_int32 (const char *val)
int | libdap::check_int64 (const char *val)
int | libdap::check_uint16 (const char *val)
int | libdap::check_uint32 (const char *val)
int | libdap::check_uint64 (const char *val)
int | libdap::check_url (const char *val)
| Is the value a valid URL?

## Detailed Description

Can the given string be converted into a byte, ...?

## Function Documentation

## check_byte()

int libdap::check_byte | ( | const char * | val | ) |

Is the value a valid byte?

Check to see if `val` is a valid byte value. If not, generate an error message using `parser_error()`. There are two versions of `check_byte()`, one which calls `parser_error()` and prints an error message to stderr an one which calls `parser_error()` and generates and Error object.

Returns
  Returns: TRUE (1) if val is a byte value, FALSE (0) otherwise.

Definition at line 194 of file parser-util.cc.

## check_float32()

int libdap::check_float32 | ( | const char * | val | ) |

Definition at line 444 of file parser-util.cc.

## check_float64()

int libdap::check_float64 | ( | const char * | val | ) |

Definition at line 478 of file parser-util.cc.

## check_int16()

int libdap::check_int16 | ( | const char * | val | ) |

Definition at line 220 of file parser-util.cc.

## check_int32()

int libdap::check_int32 | ( | const char * | val | ) |

Definition at line 252 of file parser-util.cc.

## check_int64()

int libdap::check_int64 | ( | const char * | val | ) |

Definition at line 378 of file parser-util.cc.

## check_uint16()

int libdap::check_uint16 | ( | const char * | val | ) |

Definition at line 236 of file parser-util.cc.

## check_uint32()

int libdap::check_uint32 | ( | const char * | val | ) |

Definition at line 279 of file parser-util.cc.

## check_uint64()

int libdap::check_uint64 | ( | const char * | val | ) |

Definition at line 409 of file parser-util.cc.

## check_url()

int libdap::check_url | ( | const char * | val | ) |

Is the value a valid URL?

Currently this function always returns true.

Definition at line 700 of file parser-util.cc.